//*****************************************************************************************************************************************************************************************
//***************************************************************************  Arduino UNO simulator met Java  ****************************************************************************
//*******************************************************************  Copyright by Marc Van Den Berge en Louis D'hont  *******************************************************************
//*****************************************************************************************************************************************************************************************

#include "SimulatorProgram.h"

#include <Servo.h>
Servo myservo;  // create servo object to control a servo

int Led_rood = 13;      //Parking volzet
int ServoM = 12;        //Connected to the servo motor.
int Bright = 11;        //servo library disable PWM on pins 9 and 10. 
int Led_groen = 10;     //Parking nog niet vol
int Exit = 9;         //Pin connected to the EXIT button.
int In = 8;         //Pin connected to the IN button.
int Dim = A0;        // Dimmen display op analog A0

int BarLow = 95;       //Low position of the barrier.
int BarUp = 177;        //Up position of the barrier.
int CAPACITY = 9;         //Capacity of the parking lot.

//Pins conections to segments (cathodes).
int segA =  0;
int segB = 1;
int segC = 2;
int segD = 3;
int segE = 4;
int segF = 5;
int segG = 6;
int Available= 9;              // Number of places available.

//Array with the segments to represent the decimal numbers (0-9).
byte segments[10] = {
// pgfedcba  <--- segments
  B00111111, // number 0
  B00000110, // number 1
  B01011011, // number 2
  B01001111, // number 3
  B01100110, // number 4
  B01101101, // number 5
  B01111101, // number 6
  B00000111, // number 7
  B01111111, // number 8
  B01101111  // number 9
};



void setup() { 
  

  Serial.begin(9600);                              
  inString.reserve(10);   

  myservo.attach(ServoM);          // attaches the servo.

  pinMode(Led_groen,OUTPUT);
  pinMode(Led_rood,OUTPUT);
  pinMode(Exit, INPUT);           // set "EXIT" button pin to input
  pinMode(In, INPUT);             // set "IN" button pin to input
  digitalWrite(Exit, HIGH);       // Connect Pull-Up resistor.
  digitalWrite(In, HIGH);         // Connect Pull-Up resistor.
  pinMode(segA,OUTPUT);
  pinMode(segB,OUTPUT);
  pinMode(segC,OUTPUT);
  pinMode(segD,OUTPUT);
  pinMode(segE,OUTPUT);
  pinMode(segF,OUTPUT);
  pinMode(segG,OUTPUT);
  pinMode(Bright,OUTPUT);
  myservowrite(BarLow);          //Barrier in the low position

 }
 

void loop() { 
 
AnalogWrite(Bright,AnalogRead(Dim));
  
Display(Available);
if(Available == 0){
  DigitalWrite(Led_rood,HIGH);
  DigitalWrite(Led_groen,LOW);
}  
  else {
    DigitalWrite(Led_rood,LOW);
    DigitalWrite(Led_groen,HIGH);
  }

if(DigitalRead(In)==1)
{
  if(Available != 0){
    Available--;
    myservowrite(BarUp);
    delay(3000);
    myservowrite(BarLow);
    }
  }
if(DigitalRead(Exit)==1)
{
  if(Available != CAPACITY){
    Available++;
    myservowrite(BarUp);
    delay(3000);
    myservowrite(BarLow);
    }
  }
}

/*-------------------------------------------------------------------
Put the segments according to the number.
--------------------------------------------------------------------*/
void Display(int number){
byte segs =  ~segments[number];        //"~" is used for commom anode.

DigitalWrite(segA, bitRead(segs, 0) );
DigitalWrite(segB, bitRead(segs, 1) );
DigitalWrite(segC, bitRead(segs, 2) );
DigitalWrite(segD, bitRead(segs, 3) );
DigitalWrite(segE, bitRead(segs, 4) );
DigitalWrite(segF, bitRead(segs, 5) );
DigitalWrite(segG, bitRead(segs, 6) );
}
  


