//*****************************************************************************************************************************************************************************************
//***************************************************************************  Arduino UNO simulator met Java  ****************************************************************************
//*******************************************************************  Copyright by Marc Van Den Berge en Louis D'hont  *******************************************************************
//*****************************************************************************************************************************************************************************************

#include "SimulatorProgram.h"

/*
*********** Klaplicht **********
* Ontwerper Marc Van Den Berge *
*       en Louis D'Hont        *
********************************
*/

int sensorPin = A2;     // input voor microfoon
int Potmeter_Dim = A1;  // input voor potmeter Dimmen (0 <-> 1023)
int Potmeter_Gain = A0; // input voor potmeter Gain (grenswaarde signaal microfoon 0 <-> 1023)
int ledPin = 6;         // output voor de LED
int Bright = 11;        // variabele voor analoge output
int PotValue_Gain = 0;  // variabele voor potmeter Gain
int PotValue_Dim = 0;   // variabele voor potmeter Dim
int sensorValue = 0;    // variable voor microfoon signaal
int setLed = 0;         // variabele voor geheugen led brand
int teller = 0;         // variabele voor automatisch uitdoven
int DimWaarde = 0;      // variabele voor startgrens uitdoven ledstrip


void setup() { 
  
  Serial.begin(9600);                          
  inString.reserve(10); 

  // declareren digitale pinnen Atmega328:
  pinMode(ledPin, OUTPUT);   

 }
 

void loop() { 
  
 // inlezen van de analoge inputs
  sensorValue = AnalogRead(sensorPin)/4;
  PotValue_Gain = AnalogRead(Potmeter_Gain);
  PotValue_Dim = AnalogRead(Potmeter_Dim);
  DimWaarde = 255 - PotValue_Dim/4;                // 0V potmeter_Dim (PotValue_Dim=0) => DimWaarde = 255 => ledstrip max
                                                   // 5V potmeter_Dim (PotValue_Dim=1023) => Dimwaarde = 0 => ledstrip min
  teller = 0;
  
  if (setLed == 1) {                               // ledstrip aan
      AnalogWrite(Bright,DimWaarde);               // Schrijven naar Analoge uitgang (0V <-> 5V)
  }

    if ((sensorValue > PotValue_Gain) && (setLed == 0)) {    // Geluidswaarde > grenswaarde en ledstrip uit = Ledstrip aan
     DigitalWrite(ledPin, HIGH);                             // Controle led aan
     setLed = 1;
     AnalogWrite(Bright,DimWaarde);                // Schrijven naar Analoge uitgang (0V <-> 5V)
     delay (2000);                                  // 0,5s wachten
     }     
   sensorValue = AnalogRead(sensorPin)/4;          // Lezen van het microfoonsignaal
   PotValue_Gain = AnalogRead(Potmeter_Gain);      // Lezen van het potmetersignaal Gain
   
    if ((sensorValue > PotValue_Gain) && (setLed == 1)) {    // Geluidswaarde > grenswaarde en ledstrip aan = Ledstrip uit
     DigitalWrite(ledPin, LOW);                    // Controle led uit
     setLed = 0;
      for (teller=0; teller <= DimWaarde; teller++) {        
      AnalogWrite(Bright,DimWaarde-teller);                    // Schrijven naar Analoge uitgang
      delay(20);                                  // 20ms wachten
   }     
     delay (2000);                                // 0,5s wachten
    }
 
}
  


